org.apache.naming.resources

## Class WARDirContext.Entry

- java.lang.Object
- - org.apache.naming.resources.WARDirContext.Entry

- All Implemented Interfaces:
    Comparable<Object>
  Enclosing class:
    WARDirContext

      protected static class WARDirContext.Entry
      extends Object
      implements Comparable<Object>

  Entries structure.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected WARDirContext.Entry[]` | `children`
    `protected boolean` | `childrenSorted`
    `protected ZipEntry` | `entry`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WARDirContext.Entry(String name, ZipEntry entry)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(WARDirContext.Entry entry)`
    `int` | `compareTo(Object o)`
    `boolean` | `equals(Object o)`
    `WARDirContext.Entry` | `getChild(String name)`
    `WARDirContext.Entry[]` | `getChildren()`
    `ZipEntry` | `getEntry()`
    `String` | `getName()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### entry

          protected ZipEntry entry

    - #### children

          protected WARDirContext.Entry[] children

    - #### childrenSorted

          protected volatile boolean childrenSorted

  - ### Constructor Detail

    - #### WARDirContext.Entry

          public WARDirContext.Entry(String name,
                             ZipEntry entry)

  - ### Method Detail

    - #### compareTo

          public int compareTo(Object o)

      Specified by:
        `compareTo` in interface `Comparable<Object>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getEntry

          public ZipEntry getEntry()

    - #### getName

          public String getName()

    - #### addChild

          public void addChild(WARDirContext.Entry entry)

    - #### getChildren

          public WARDirContext.Entry[] getChildren()

    - #### getChild

          public WARDirContext.Entry getChild(String name)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.